@import url('./iconfont/iconfont.css');
@import url('./reset.css');

#app-loading {
  position: fixed;
  width: 100%;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

#app-loading .app-loading_content {
  height: 60px;
}

#app-loading .app-error_content {
  width: 60px;
  height: 60px;
  padding: 5px;
  margin: 0 auto;
}
#app-loading .app-error_content img {
  width: 100%;
  height: 100%;
  display: block;
}

/* 应用加载中样式 */
#app-loading .app-loading_outer {
  border: 5px solid rgba(0, 183, 229, 0.9);
  opacity: .9;
  border-right-color: transparent;
  border-left-color: transparent;
  width: 50px;
  height: 50px;
  margin: 0 auto;
  border-radius: 50%;
  -webkit-box-shadow: 0 0 35px rgba(0, 61, 76, 0.9);
  -moz-box-shadow: 0 0 35px rgba(0, 61, 76, 0.9);
  box-shadow: 0 0 35px rgba(0, 61, 76, 0.9);
  -webkit-animation: spin-pulse 1s linear infinite normal;
  -moz-animation: spin-pulse 1s linear infinite normal;
  -ms-animation: spin-pulse 1s linear infinite normal;
  animation: spin-pulse 1s linear infinite normal;
  -webkit-animation-delay: 0;
  -moz-animation-delay: 0;
  -o-animation-delay: 0;
  animation-delay: 0;
  box-sizing: content-box;
}
#app-loading .app-loading_inner {
  border: 5px solid rgba(0, 183, 229, 0.9);
  opacity: .9;
  border-left-color: transparent;
  border-right-color: transparent;
  border-radius: 50%;
  -webkit-box-shadow: 0 0 15px rgba(0, 61, 76, 0.9);
  -moz-box-shadow: 0 0 15px rgba(0, 61, 76, 0.9);
  box-shadow: 0 0 15px rgba(0, 61, 76, 0.9);
  width: 30px;
  height: 30px;
  position: relative;
  top: -50px;
  margin: 0 auto;
  -webkit-animation: spin-right 1s linear infinite normal;
  -moz-animation: spin-right 1s linear infinite normal;
  -ms-animation: spin-right 1s linear infinite normal;
  animation: spin-right 1s linear infinite normal;
  -webkit-animation-delay: 0;
  -moz-animation-delay: 0;
  -o-animation-delay: 0;
  animation-delay: 0;
  box-sizing: content-box;
}

#app-loading .app-loading_text {
    text-align: center;
    color: rgba(0, 61, 76, 0.9);
    font-size: 14px;
    margin: 14px 0 0;
}

@keyframes spin-right {
  from {
    transform: rotate(0deg);
    opacity: 0.2;
  }
  50% {
    transform: rotate(180deg);
    opacity: 1.0;
  }
  to {
    transform: rotate(360deg);
    opacity: 0.2;
  }
}
@-moz-keyframes spin-right {
  from {
    -moz-transform: rotate(0deg);
    opacity: 0.2;
  }
  50% {
    -moz-transform: rotate(180deg);
    opacity: 1.0;
  }
  to {
    -moz-transform: rotate(360deg);
    opacity: 0.2;
  }
}
@-webkit-keyframes spin-right {
  from {
    -webkit-transform: rotate(0deg);
    opacity: 0.2;
  }
  50% {
    -webkit-transform: rotate(180deg);
    opacity: 1.0;
  }
  to {
    -webkit-transform: rotate(360deg);
    opacity: 0.2;
  }
}
@keyframes spin-pulse {
  from {
    transform: rotate(160deg);
    opacity: 0;
    box-shadow: 0 0 1px rgba(0, 61, 76, 0.9);
  }
  50% {
    transform: rotate(145deg);
    opacity: 1;
  }
  to {
    transform: rotate(-320deg);
    opacity: 0;
  }
}
@-moz-keyframes spin-pulse {
  from {
    -moz-transform: rotate(160deg);
    opacity: 0;
    box-shadow: 0 0 1px rgba(0, 61, 76, 0.9);
  }
  50% {
    -moz-transform: rotate(145deg);
    opacity: 1;
  }
  to {
    -moz-transform: rotate(-320deg);
    opacity: 0;
  }
}
@-webkit-keyframes spin-pulse {
  from {
    -webkit-transform: rotate(160deg);
    opacity: 0;
    box-shadow: 0 0 1px rgba(0, 61, 76, 0.9);
  }
  50% {
    -webkit-transform: rotate(145deg);
    opacity: 1;
  }
  to {
    -webkit-transform: rotate(-320deg);
    opacity: 0;
  }
}

/*登录页*/
.wrap-login {
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-image: url('bg.png');
	box-sizing: border-box;
	background-size: cover;
}
.acc-login {
	position: absolute;
	top:50%;
	left: 50%;
	box-sizing: border-box;
	width: 496px;
	margin-left: -248px;
	margin-top: -131px;
	padding: 50px 45px;
	background-color: #fff;
	box-shadow:0px 0px 8px 0px rgba(15,46,77,0.3);
	border-radius:24px;
}
.acc-login .el-input{
	width:100%;
}
.acc-login .el-input__inner {
	font-size: 16px;
	height: 44px;
	line-height: 44px;
}
.acc-login .el-button {
    width: 100%;
    line-height: 44px;
}
.login-ft {
	position: absolute;
	bottom:50px;
	left:0;
	width: 100%;
	text-align: center;
	font-size: 14px;
	color: #b9b9b9;
}

.uploader-box {
	position: relative;
	display: inline-block;
	width: 70px;
	height: 70px;
	border: 1px dashed #d9d9d9;
	cursor: pointer;
}
.uploader-box .avatar-uploader-icon{
	font-size: 32px;
	color: #8c939d;
	width: 70px;
	height: 70px;
	line-height: 70px;
	text-align: center;
}
.uploader-btn {
	overflow: hidden;
	position: relative;
}

.uploader-btn .del {
	transform: translate(0, 50px);
	position: absolute;
	bottom: 0;
	left: 0;
	font-size: 12px;
	width: 100%;
	line-height: 24px;
	background-color: rgba(0, 0, 0, .6);
	color: #fff;
	text-align: center;
	transition: all .3s ease-in-out;
	cursor: pointer;
}
.uploader-btn:hover .del {
	transform: translate(0, 0);
}

.uploader-item {
	z-index: 3020;
	margin-right: 10px;
	overflow: hidden;
}
.uploader-item .img {
	width:70px;
	height:70px;
	background-repeat: no-repeat;
	background-position: top;
	background-size: cover;
	border-radius:0;
}
.uploader-item .del {
	transform: translate(0, 50px);
	position: absolute;
	bottom: 0;
	left: 0;
	font-size: 12px;
	width: 100%;
	line-height: 24px;
	background-color: rgba(0, 0, 0, .6);
	color: #fff;
	text-align: center;
	transition: all .3s ease-in-out;
	cursor: pointer;
}
.uploader-item:hover .del{
	transform: translate(0, 0);
}

.dialog-imgs_box {
	width: 100px;
	height: 100px;
}

/*弹窗*/
.dialog-columns .el-footer{
  height: auto !important;
  padding-bottom: 16px!important;
}
.dialog-columns .el-dialog__body {
  padding: 0;
}

.dialog-columns .cmm-sub_container {
  border: none;
}

.dialog-columns .side-table td {
  border: none;
}

/*待审核标记*/
.cmm-table_icon {
	width: 100%;
	height: 14px;
	position: absolute;
	left: 0;
	top: 0;
	text-align: left;
}

.cmm-table_icon > span {
	display: inline-block;
	vertical-align: top;
	width: 14px;
	height: 14px;
	line-height: 14px;
	color: #fff;
	font-size: 12px;
}

.flag-1 {
	background-color: #ff4d51;
}

/*登记*/
.dialog-resign .el-checkbox.is-bordered+.el-checkbox.is-bordered {
	margin-left: 0;
}
.dialog-resign .el-checkbox.is-bordered {
	margin-right: 10px;
}
.dialog-resign .el-checkbox{
	margin-right: 0;
}

.el-main::-webkit-scrollbar {
  display: none;
}

/*线索详情*/
.bizopp-info .el-tabs__item.is-active{
  background-color: #fff;
}

.bizopp-info .el-tabs__content {
  overflow-y:auto;
  height: 216px;
  width: 100%;
  border: 1px solid #E4E7ED;
  border-top: 0;
  margin-top: -16px;
  padding: 10px;
}
.drawer-btn{
	position: absolute;
  right: -5px;
  top: 160px;
  box-shadow: 0 0 2px 4px rgba(221, 221, 221, 0.2);
}
/*角标*/
.top-right_label{
  position: absolute;
  right: -28px;
  top: -6px;
  width: 70px;
  height: 30px;
  line-height: 40px;
  font-size: 12px;
  font-weight: 500;
  text-align: center;
  color: #fff;
  transform: rotate(45deg);
}
.top-right_label-small {
  position: absolute;
  right: -20px;
  top: -6px;
  width: 46px;
  height: 24px;
  line-height: 34px;
  font-size: 10px;
  font-weight: 500;
  text-align: center;
  color: #fff;
  transform: rotate(45deg);
}

.top-right_label-mini {
    position: absolute;
    right: -30px;
    top: -12px;
    width: 46px;
    height: 24px;
    line-height: 34px;
    font-size: 10px;
    font-weight: 500;
    text-align: center;
    color: #fff;
    transform: rotate(45deg);
}
.top-right_label-mini > i {
    position: relative;
    top: 2px;
    left: 3px;
    transform: rotate(-45deg);
}
.top-right_label.green,
.top-right_label-small.green,
.top-right_label-mini.green
{
  background-color: #52B27A;
}
.top-right_label.danger,
.top-right_label-small.danger{
  background-color: #F56C6C;
}

/*跟进*/
.followList{
	margin-left: 10px;
	/*padding: 10px;*/
	line-height: 20px;
	border: 1px solid #ebeef5;
  overflow: hidden!important;
}
.followList-cells{
	/*height: 516px;
	overflow-y: auto;*/
  position: absolute;
  left: 0;
  top: 0;
  padding: 10px;
  width: 100% ;
  height:100%;
  box-sizing: border-box;
  overflow-y: auto;
}

.followList-cell{
	padding-bottom: 6px;
  margin-bottom: 16px;
  border-bottom: 1px solid #ebeef5;
}
.followList-header{
	padding-bottom: 10px;
}
.followList-info {
	margin: 10px 0;
  padding: 6px 8px;
  font-size: 12px;
  color: #606266;
  background: #F4F4F5;
  border-radius: 0 8px 8px 8px;
}
.followList-act{
  padding: 4px 0;
  align-items: center;
  font-weight: 400;
  font-size: 12px;
}
.followList-form{
	position: absolute;
  left: 0;
  bottom: -100px;
  margin-bottom: 0;
  padding: 10px 12px 0;
  width: 100%;
  background-color: #fff;
  z-index: 99;
}
.followList-form.ani,.followList-cells.ani{
  transition: all .6s ease-in-out;
}
.followList-form .el-input{
	width: 182px;
}
.followList-form .el-form-item{
	margin-bottom: 10px;
}
.followList-form .el-form-item:last-child{
	margin-right: 0;
}
.followList .empty-cnt {
  height: 100%;
}
/*缩放切换*/
.toggle_expand{
  z-index: 99;
  position: absolute;
  right: 316px;
  top: -2px;
  min-width:40px!important;
  border-color: #c6e2ff!important;
  background-color: #ecf5ff!important;
}
.toggle_expand .el-icon-d-arrow-right{
  transform: rotate(90deg);
  transition: all .6s ease-in-out;
}
.toggle_expand .shrink{
  transform: rotate(270deg);
}
.toggle_table{
  height:78px; 
  overflow-y:hidden;
  border: 1px solid #ebeef5;
  transition: all .6s ease-in-out;
}
.toggle_table.expand{
  height:auto;
  overflow-y: auto;
  max-height: 420px;
} 
.toggle_data .el-tabs__content {
  height: 106px;
  width: 100%;
  overflow-y: hidden;
  border: 1px solid #E4E7ED;
  border-top: 0;
  margin-top: -16px;
  padding: 10px;
}
.toggle_data.expand .el-tabs__content{
  height: 446px;
  overflow-y: auto; 
}
.toggle_data .cmm-table{
  height: 74px;
  overflow-y: hidden;
}
.toggle_data.expand .cmm-table{
  height: 422px;
  overflow-y: auto; 
}
.toggle_data .el-table__empty-block{
  min-height: 40px;
}
.toggle_data .el-table__empty-text{
  line-height: 40px;
}
.toggle_data.expand .el-table__empty-block{
  min-height: 380px;
}

/*绑定二维码弹窗*/
.dialog-bind_qrcode{
	height: 280px;
}
.qrcode-img iframe{
  width: 200px!important;
  height: 200px!important;
  margin-left:-10px;
}
.h5-main .qrcode-img iframe{
    width: 200px!important;
    height: 200px!important;
    margin-left:0!important;
    text-align: center;
}

/*标签*/
.labelview-td{
  padding: 0!important;
}
.labelview-td dl{
  line-height: 30px;
  padding: 4px 10px;
}
.labelview-td dl.border-b:last-child:after{
  display: none;
}

.dialog-auth_item {
    width: 130px;
    cursor: pointer;
}

/*居中表单*/
.center-form{
  width: 400px;
  margin: 50px auto;
  text-align: center;
}
.app-main .center-form .el-input__inner{
  height: 45px;
  line-height: 45px;
}
.app-main .center-form .el-button {
    padding: 0 30px;
    line-height: 38px;
}

/*菜单分割线*/
.split_line {
    position: relative;
    padding: 3px 0 2px;
    background: #fff;
}
.split_line:after {
    position: absolute;
    top: 2px;
    content: '';
    display: block;
    width: 100%;
    height: 1px;
    background: #ebeef5;
}
.label_nav>.icon{
  position:absolute;
  right:4px;
  font-size: 12px;
  display: none;
}
.label_nav>.el-icon-edit-outline{
  top:8px;
}
.label_nav>.el-icon-delete{
  top:24px;
}
.label_nav:hover>.icon,.label_nav .router-link-active ~ .icon{
  display: inline-block;
}
.drawer_wrap{
  padding:0 20px;
}
.drawer_wrap li{
  padding: 16px 0;
  line-height: 1.6;
  text-align: justify;
}
.drawer_header{
  padding-bottom: 10px;
}
:focus{
  outline:none!important;
}
.el-table .warning-row {
    background: oldlace;
}
.el-table .success-row {
    background: #f0f9eb;
}
.el-table .alter-row {
    background: #E6A23C;
}

.el-dialog .flex .el-tabs__content {
    display: flex;
    display: -webkit-flex;
    display: -ms-flex;
    flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    min-width: 0;
}

.el-dialog .flex .el-tab-pane {
    display: flex;
    display: -webkit-flex;
    display: -ms-flex;
    flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    min-width: 0;
    flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
}